package com.ruoyi.project.zjsgfa.service;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjJhzq;

/**
 * 设计-计划周期Service接口
 * 
 * @author ruoyi
 * @date 2025-07-24
 */
public interface ISjJhzqService 
{
    /**
     * 查询设计-计划周期
     * 
     * @param id 设计-计划周期主键
     * @return 设计-计划周期
     */
    public SjJhzq selectSjJhzqById(Long id);

    /**
     * 查询设计-计划周期列表
     * 
     * @param sjJhzq 设计-计划周期
     * @return 设计-计划周期集合
     */
    public List<SjJhzq> selectSjJhzqList(SjJhzq sjJhzq);

    /**
     * 新增设计-计划周期
     * 
     * @param sjJhzq 设计-计划周期
     * @return 结果
     */
    public int insertSjJhzq(SjJhzq sjJhzq);

    /**
     * 修改设计-计划周期
     * 
     * @param sjJhzq 设计-计划周期
     * @return 结果
     */
    public int updateSjJhzq(SjJhzq sjJhzq);

    /**
     * 批量删除设计-计划周期
     * 
     * @param ids 需要删除的设计-计划周期主键集合
     * @return 结果
     */
    public int deleteSjJhzqByIds(Long[] ids);

    /**
     * 删除设计-计划周期信息
     * 
     * @param id 设计-计划周期主键
     * @return 结果
     */
    public int deleteSjJhzqById(Long id);
}
